Bug 112117 - RFE: show coredump status of the killed process if available
Summary: RFE: show coredump status of the killed process if available
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: strace (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-14 22:46 UTC by Dmitry V. Levin
Modified: 2007-04-18 17:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-13 09:57:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (690 bytes, patch)
2003-12-14 22:47 UTC, Dmitry V. Levin
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:338 normal SHIPPED_LIVE Updated strace package 2004-09-01 04:00:00 UTC

Description Dmitry V. Levin 2003-12-14 22:46:36 UTC
Description of problem: 
When traced process gets killed by signal, strace reports it without additional 
information  whether it have dumped core or not. 
 
Version-Release number of selected component (if applicable): 
4.5.1 
 
Steps to Reproduce: 
$ ulimit -c 4294967296 
$ strace -e trace=execve /bin/sh -c 'kill -ABRT $$' 
 
Actual results: 
execve("/bin/sh", ["/bin/sh", "-c", "kill -ABRT $$"], [/* 0 vars */]) = 0 
--- SIGABRT (Aborted) @ 0 (0) --- 
+++ killed by SIGABRT +++ 
 
Expected results: 
execve("/bin/sh", ["/bin/sh", "-c", "kill -ABRT $$"], [/* 0 vars */]) = 0 
--- SIGABRT (Aborted) @ 0 (0) --- 
+++ killed by SIGABRT (core dumped) +++

Comment 1 Dmitry V. Levin 2003-12-14 22:47:35 UTC
Created attachment 96532 [details]
proposed patch

Comment 2 Roland McGrath 2004-01-13 09:57:14 UTC
I put the patch in upstream.  A future Fedora Core rpm will include it.

Comment 3 Jay Turner 2004-09-02 03:32:25 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-338.html



Note You need to log in before you can comment on or make changes to this bug.